/**

  Spago4Q - The Business Intelligence Free Platform

  Copyright (C) 2009 Engineering Ingegneria Informatica S.p.A.

  Spago4Q is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  Spago4Q is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 **/
package it.eng.spago4q.bo;

import java.util.Date;

public class ELog {

	private int idLog;
	private Integer processId;
	private Integer operationId;
	private Integer extracted;
	private Integer inserted;
	private Date operationDate;
	private Date executionDate;
	private String archivePath;
	private Boolean completed;
	private Integer rejected;
	private String rejectedArchivePath;

	public Integer getRejected() {
		return rejected;
	}
	public String getRejectedArchivePath() {
		return rejectedArchivePath;
	}
	public int getIdLog() {
		return idLog;
	}
	public void setIdLog(final int idLog) {
		this.idLog = idLog;
	}
	public Integer getProcessId() {
		return processId;
	}
	public void setProcessId(final Integer processId) {
		this.processId = processId;
	}
	public Integer getOperationId() {
		return operationId;
	}
	public void setOperationId(final Integer operationId) {
		this.operationId = operationId;
	}
	public Integer getExtracted() {
		return extracted;
	}
	public void setExtracted(final Integer extracted) {
		this.extracted = extracted;
	}
	public Integer getInserted() {
		return inserted;
	}
	public void setInserted(final Integer inserted) {
		this.inserted = inserted;
	}
	public Date getOperationDate() {
		return operationDate;
	}
	public void setOperationDate(final Date operationTime) {
		this.operationDate = operationTime;
	}
	public Date getExecutionDate() {
		return executionDate;
	}
	public void setExecutionDate(final Date extractionTime) {
		this.executionDate = extractionTime;
	}
	public String getArchivePath() {
		return archivePath;
	}
	public void setArchivePath(final String archivePath) {
		this.archivePath = archivePath;
	}
	public Boolean getCompleted() {
		return completed;
	}
	public void setCompleted(final Boolean completed) {
		this.completed = completed;
	}
	public void setRejected(final Integer rejected) {
		this.rejected = rejected;
	}
	public void setRejectedArchivePath(final String rejected_archive_path) {
		this.rejectedArchivePath = rejected_archive_path;
	}
}
